Debian Bug report logs - #642136
network-manager: Connecting to a wifi network requires org.freedesktop.NM.settings.modify.system privileges

version graph

Package: network-manager; Maintainer for network-manager is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for network-manager is src:network-manager.

Reported by: Vincent Bernat <bernat@debian.org>

Date: Mon, 19 Sep 2011 18:18:32 UTC

Severity: serious

Tags: patch

Merged with 645815, 646407, 654874

Found in versions network-manager/0.9.4.0-5, network-manager/0.9.2.0-1, network-manager/0.9.0-2, network-manager/0.9.2.0-2

Fixed in version network-manager/0.9.4.0-7

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugzilla.gnome.org/show_bug.cgi?id=660392

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Mon, 19 Sep 2011 18:18:34 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 19 Sep 2011 18:18:34 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: network-manager: Connecting to a wifi network requires org.freedesktop.NM.settings.modify.system privileges
Date: Mon, 19 Sep 2011 20:15:17 +0200
Package: network-manager
Version: 0.9.0-2
Severity: normal

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi!

Since NetworkManager 0.9, a simple user is not allowed to connect to
some wireless network unless it is granted (through policy kit or
appropriate permissions)
org.freedesktop.NetworkManager.settings.modify.system. This permission
allows to alter existing connections as well. An active user should be
authorized to use any wireless network if he wants to by default (like
in previous versions). Or it should be possible to configure network
manager to allow users to connect to wireless networks without
enabling them to modify other system settings.



- -- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (101, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages network-manager depends on:
ii  adduser                3.113      
ii  dbus                   1.4.14-1   
ii  isc-dhcp-client        4.1.1-P1-17
ii  libc6                  2.13-21    
ii  libdbus-1-3            1.4.14-1   
ii  libdbus-glib-1-2       0.94-4     
ii  libgcrypt11            1.5.0-3    
ii  libglib2.0-0           2.28.6-1   
ii  libgnutls26            2.12.10-2  
ii  libgudev-1.0-0         172-1      
ii  libnl1                 1.1-7      
ii  libnm-glib4            0.9.0-2    
ii  libnm-util2            0.9.0-2    
ii  libpolkit-gobject-1-0  0.102-1    
ii  libuuid1               2.19.1-5   
ii  lsb-base               3.2-28     
ii  udev                   172-1      
ii  wpasupplicant          0.7.3-3.1  

Versions of packages network-manager recommends:
ii  dnsmasq-base  2.58-3  
ii  iptables      1.4.12-1
ii  modemmanager  0.5-1   
ii  policykit-1   0.102-1 
ii  ppp           2.4.5-5 

Versions of packages network-manager suggests:
pn  avahi-autoipd  <none>

- -- Configuration Files:
/etc/NetworkManager/NetworkManager.conf changed:
[main]
plugins=ifupdown,keyfile
no-auto-default=60:eb:69:ce:6e:a0,
[ifupdown]
managed=false


- -- no debconf information

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk53hrAACgkQKFvXofIqeU7MZgCfUhWv55uMe7XwAloAlsV5luLq
fI8AnRgNNKT/2gFxN/zbNdDvO/wDPOCf
=PlLS
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Mon, 19 Sep 2011 20:52:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 19 Sep 2011 20:52:38 GMT) Full text and rfc822 format available.

Message #10 received at 642136@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Vincent Bernat <bernat@debian.org>, 642136@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#642136: network-manager: Connecting to a wifi network requires org.freedesktop.NM.settings.modify.system privileges
Date: Mon, 19 Sep 2011 22:48:10 +0200
[Message part 1 (text/plain, inline)]
tags 642136 moreinfo
thanks

Am 19.09.2011 20:15, schrieb Vincent Bernat:
> Package: network-manager
> Version: 0.9.0-2
> Severity: normal
> 
> Hi!
> 
> Since NetworkManager 0.9, a simple user is not allowed to connect to
> some wireless network unless it is granted (through policy kit or
> appropriate permissions)
> org.freedesktop.NetworkManager.settings.modify.system. This permission
> allows to alter existing connections as well. An active user should be
> authorized to use any wireless network if he wants to by default (like
> in previous versions). Or it should be possible to configure network
> manager to allow users to connect to wireless networks without
> enabling them to modify other system settings.

This is of course possible.
Was the connection you tried to enable created by another user? What's the name
of the user trying to activate the connection?
Which GUI frontend (and which version) do you use?
Was the connection imported from earlier versions i.e. created by nm-applet < 0.9?

As connections are now all stored in /etc/NetworkManager/system-connections/ ,
could you attach the corresponding keyfile (make sure it doesn't contain any
confidential data)

Michael

-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) moreinfo. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Mon, 19 Sep 2011 20:52:39 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Tue, 20 Sep 2011 05:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 20 Sep 2011 05:45:03 GMT) Full text and rfc822 format available.

Message #17 received at 642136@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 642136@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#642136: network-manager: Connecting to a wifi network requires org.freedesktop.NM.settings.modify.system privileges
Date: Tue, 20 Sep 2011 07:42:36 +0200
[Message part 1 (text/plain, inline)]
OoO En cette soirée bien amorcée du lundi 19 septembre 2011, vers 22:48,
Michael Biebl <biebl@debian.org> disait :

>> Since NetworkManager 0.9, a simple user is not allowed to connect to
>> some wireless network unless it is granted (through policy kit or
>> appropriate permissions)
>> org.freedesktop.NetworkManager.settings.modify.system. This permission
>> allows to alter existing connections as well. An active user should be
>> authorized to use any wireless network if he wants to by default (like
>> in previous versions). Or it should be possible to configure network
>> manager to allow users to connect to wireless networks without
>> enabling them to modify other system settings.

> This is of course possible.
> Was the connection you tried to enable created by another user? What's the name
> of the user trying to activate the connection?
> Which GUI frontend (and which version) do you use?
> Was  the connection  imported from  earlier versions  i.e.  created by
> nm-applet < 0.9?

The   connection    did   not   exist    (it   does   not    appear   in
nm-connection-editor). I  am using  nm-applet 0.9.0-2. I  have restarted
both nm-applet and Network Manager to ensure they are in sync.

> As connections are now all stored in /etc/NetworkManager/system-connections/ ,
> could you attach the corresponding keyfile (make sure it doesn't contain any
> confidential data)

As the connection does not exist, there is no keyfile for it.

Thanks!
-- 
Vincent Bernat ☯ http://vincent.bernat.im

 /* Am I fucking pedantic or what? */
	2.2.16 /usr/src/linux/drivers/scsi/qlogicpti.h
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Tue, 20 Sep 2011 08:00:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 20 Sep 2011 08:00:49 GMT) Full text and rfc822 format available.

Message #22 received at 642136@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Vincent Bernat <bernat@debian.org>, 642136@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#642136: Bug#642136: network-manager: Connecting to a wifi network requires org.freedesktop.NM.settings.modify.system privileges
Date: Tue, 20 Sep 2011 09:38:00 +0200
[Message part 1 (text/plain, inline)]
Am 20.09.2011 07:42, schrieb Vincent Bernat:
> OoO En cette soirée bien amorcée du lundi 19 septembre 2011, vers 22:48,
> Michael Biebl <biebl@debian.org> disait :
> 
>>> Since NetworkManager 0.9, a simple user is not allowed to connect to
>>> some wireless network unless it is granted (through policy kit or
>>> appropriate permissions)
>>> org.freedesktop.NetworkManager.settings.modify.system. This permission
>>> allows to alter existing connections as well. An active user should be
>>> authorized to use any wireless network if he wants to by default (like
>>> in previous versions). Or it should be possible to configure network
>>> manager to allow users to connect to wireless networks without
>>> enabling them to modify other system settings.
> 
>> This is of course possible.
>> Was the connection you tried to enable created by another user? What's the name
>> of the user trying to activate the connection?
>> Which GUI frontend (and which version) do you use?
>> Was  the connection  imported from  earlier versions  i.e.  created by
>> nm-applet < 0.9?
> 
> The   connection    did   not   exist    (it   does   not    appear   in
> nm-connection-editor). I  am using  nm-applet 0.9.0-2. I  have restarted
> both nm-applet and Network Manager to ensure they are in sync.
> 
>> As connections are now all stored in /etc/NetworkManager/system-connections/ ,
>> could you attach the corresponding keyfile (make sure it doesn't contain any
>> confidential data)
> 
> As the connection does not exist, there is no keyfile for it.

Now you have me confused. How can you activate a connection which does not exist?

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Tue, 20 Sep 2011 08:00:51 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 20 Sep 2011 08:00:51 GMT) Full text and rfc822 format available.

Message #27 received at 642136@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: <642136@bugs.debian.org>
Subject: Re: [Pkg-utopia-maintainers] Bug#642136: Bug#642136: network-manager: Connecting to a wifi network requires org.freedesktop.NM.settings.modify.system privileges
Date: Tue, 20 Sep 2011 09:56:55 +0200
On Tue, 20 Sep 2011 09:38:00 +0200, Michael Biebl wrote:
> Am 20.09.2011 07:42, schrieb Vincent Bernat:

>>>> Since NetworkManager 0.9, a simple user is not allowed to connect 
>>>> to
>>>> some wireless network unless it is granted (through policy kit or
>>>> appropriate permissions)
>>>> org.freedesktop.NetworkManager.settings.modify.system. This 
>>>> permission
>>>> allows to alter existing connections as well. An active user 
>>>> should be
>>>> authorized to use any wireless network if he wants to by default 
>>>> (like
>>>> in previous versions). Or it should be possible to configure 
>>>> network
>>>> manager to allow users to connect to wireless networks without
>>>> enabling them to modify other system settings.
>>
>>> This is of course possible.
>>> Was the connection you tried to enable created by another user? 
>>> What's the name
>>> of the user trying to activate the connection?
>>> Which GUI frontend (and which version) do you use?
>>> Was  the connection  imported from  earlier versions  i.e.  created 
>>> by
>>> nm-applet < 0.9?
>>
>> The   connection    did   not   exist    (it   does   not    appear  
>> in
>> nm-connection-editor). I  am using  nm-applet 0.9.0-2. I  have 
>> restarted
>> both nm-applet and Network Manager to ensure they are in sync.
>>
>>> As connections are now all stored in 
>>> /etc/NetworkManager/system-connections/ ,
>>> could you attach the corresponding keyfile (make sure it doesn't 
>>> contain any
>>> confidential data)
>>
>> As the connection does not exist, there is no keyfile for it.
>
> Now you have me confused. How can you activate a connection which
> does not exist?

This is a wireless network I never connected to. I choose it from the 
available wireless network detected by Network Manager. Through polkit 
helper, Network Manager is asking me for administrative rights just to 
connect to this new wireless network.

I can connect to an unknown wire network without password but I need to 
grant administrative rights to connect an unknown wireless network. I 
would like to not be prompted for something like this but the right 
requested is overly general. If I grant it to the active users, he will 
be able to tamper with existing connections. In previous version, 
connecting to an unknown wireless network was granted without passwords 
to the active user.




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Tue, 20 Sep 2011 08:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 20 Sep 2011 08:09:05 GMT) Full text and rfc822 format available.

Message #32 received at 642136@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Vincent Bernat <bernat@debian.org>, 642136@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#642136: Bug#642136: network-manager: Connecting to a wifi network requires org.freedesktop.NM.settings.modify.system privileges
Date: Tue, 20 Sep 2011 10:06:48 +0200
[Message part 1 (text/plain, inline)]
Am 20.09.2011 09:56, schrieb Vincent Bernat:
> On Tue, 20 Sep 2011 09:38:00 +0200, Michael Biebl wrote:
>> Am 20.09.2011 07:42, schrieb Vincent Bernat:

>>
>> Now you have me confused. How can you activate a connection which
>> does not exist?
> 
> This is a wireless network I never connected to. I choose it from the 
> available wireless network detected by Network Manager. Through polkit 
> helper, Network Manager is asking me for administrative rights just to 
> connect to this new wireless network.

What desktop environment do you use?
If GNOME, is /usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1 running?
If not, does it help if you start it manually?



-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Tue, 20 Sep 2011 08:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 20 Sep 2011 08:24:04 GMT) Full text and rfc822 format available.

Message #37 received at 642136@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Vincent Bernat <bernat@debian.org>
Cc: 642136@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#642136: Bug#642136: network-manager: Connecting to a wifi network requires org.freedesktop.NM.settings.modify.system privileges
Date: Tue, 20 Sep 2011 10:21:06 +0200
[Message part 1 (text/plain, inline)]
Am 20.09.2011 09:56, schrieb Vincent Bernat:
> On Tue, 20 Sep 2011 09:38:00 +0200, Michael Biebl wrote:
>> Am 20.09.2011 07:42, schrieb Vincent Bernat:
> 
>>>> As connections are now all stored in 
>>>> /etc/NetworkManager/system-connections/ ,
>>>> could you attach the corresponding keyfile (make sure it doesn't 
>>>> contain any
>>>> confidential data)
>>>
>>> As the connection does not exist, there is no keyfile for it.
>>
>> Now you have me confused. How can you activate a connection which
>> does not exist?
> 
> This is a wireless network I never connected to. I choose it from the 
> available wireless network detected by Network Manager. Through polkit 
> helper, Network Manager is asking me for administrative rights just to 
> connect to this new wireless network.

Ok, I guess it is clearer now what your issue is.
With NM 0.9, the user settings service is gone, i.e. connections are no longer
stored in the user session but always system wide (using the keyfile in
/etc/NetworkManager/system-connections).
Wireless connections are shared by default (ie. the setting "Available to all
users" is selected).
Writing a system setting and making it available to everyone requires
administrative privileges. That's why you get the PolicyKit prompt.

If you create a Wireless connection manually via nm-connection-editor:
Run nm-connection-editor
select tab "Wireless"
Click "Add"
Fill in SSID and Security settings.
*Uncheck* "Available to all users".
Then you shouldn't get a PK prompt, right?

Michael



-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Tue, 20 Sep 2011 09:21:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 20 Sep 2011 09:21:13 GMT) Full text and rfc822 format available.

Message #42 received at 642136@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: <642136@bugs.debian.org>
Subject: Re: [Pkg-utopia-maintainers] Bug#642136: Bug#642136: network-manager: Connecting to a wifi network requires org.freedesktop.NM.settings.modify.system privileges
Date: Tue, 20 Sep 2011 11:18:38 +0200
On Tue, 20 Sep 2011 10:21:06 +0200, Michael Biebl wrote:

>> This is a wireless network I never connected to. I choose it from 
>> the
>> available wireless network detected by Network Manager. Through 
>> polkit
>> helper, Network Manager is asking me for administrative rights just 
>> to
>> connect to this new wireless network.
>
> Ok, I guess it is clearer now what your issue is.
> With NM 0.9, the user settings service is gone, i.e. connections are
> no longer
> stored in the user session but always system wide (using the keyfile 
> in
> /etc/NetworkManager/system-connections).
> Wireless connections are shared by default (ie. the setting 
> "Available to all
> users" is selected).
> Writing a system setting and making it available to everyone requires
> administrative privileges. That's why you get the PolicyKit prompt.
>
> If you create a Wireless connection manually via 
> nm-connection-editor:
> Run nm-connection-editor
> select tab "Wireless"
> Click "Add"
> Fill in SSID and Security settings.
> *Uncheck* "Available to all users".
> Then you shouldn't get a PK prompt, right?

Yes.

I think by default, a user should not be prompted for administrative 
rights to connect to a wireless network. This could be done with a 
policy stating that 
org.freedesktop.NetworkManager.settings.modify.system is granted to 
active users (but I think this is far too wide). Or this could be done 
by not sharing wireless connections by default (in this case, I suppose 
that org.freedesktop.NetworkManager.settings.modify.own will be used and 
by default, active users are granted this permission).

Maybe I could retitle this bug to "Add a settings to allow 
unprivilegied user to connect to unknown wireless network without 
administrative rights" and set severity to wishlist. Would it be 
clearer?




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Tue, 20 Sep 2011 09:43:23 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 20 Sep 2011 09:43:27 GMT) Full text and rfc822 format available.

Message #47 received at 642136@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Vincent Bernat <bernat@debian.org>, 642136@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#642136: Bug#642136: Bug#642136: network-manager: Connecting to a wifi network requires org.freedesktop.NM.settings.modify.system privileges
Date: Tue, 20 Sep 2011 11:36:06 +0200
[Message part 1 (text/plain, inline)]
Am 20.09.2011 11:18, schrieb Vincent Bernat:
> On Tue, 20 Sep 2011 10:21:06 +0200, Michael Biebl wrote:
> 
>>> This is a wireless network I never connected to. I choose it from 
>>> the
>>> available wireless network detected by Network Manager. Through 
>>> polkit
>>> helper, Network Manager is asking me for administrative rights just 
>>> to
>>> connect to this new wireless network.
>>
>> Ok, I guess it is clearer now what your issue is.
>> With NM 0.9, the user settings service is gone, i.e. connections are
>> no longer
>> stored in the user session but always system wide (using the keyfile 
>> in
>> /etc/NetworkManager/system-connections).
>> Wireless connections are shared by default (ie. the setting 
>> "Available to all
>> users" is selected).
>> Writing a system setting and making it available to everyone requires
>> administrative privileges. That's why you get the PolicyKit prompt.
>>
>> If you create a Wireless connection manually via 
>> nm-connection-editor:
>> Run nm-connection-editor
>> select tab "Wireless"
>> Click "Add"
>> Fill in SSID and Security settings.
>> *Uncheck* "Available to all users".
>> Then you shouldn't get a PK prompt, right?
> 
> Yes.
> 
> I think by default, a user should not be prompted for administrative 
> rights to connect to a wireless network. This could be done with a 
> policy stating that 
> org.freedesktop.NetworkManager.settings.modify.system is granted to 
> active users (but I think this is far too wide). Or this could be done 
> by not sharing wireless connections by default (in this case, I suppose 
> that org.freedesktop.NetworkManager.settings.modify.own will be used and 
> by default, active users are granted this permission).
> 
> Maybe I could retitle this bug to "Add a settings to allow 
> unprivilegied user to connect to unknown wireless network without 
> administrative rights" and set severity to wishlist. Would it be 
> clearer?

It's the "unknown" part which is important, because it's about *creating* a new
connection configuration. I initially was about activating an existing connection.

Granting org.freedesktop.NetworkManager.settings.modify.system to every active
user means that they will be able to read the Wireless PSK without admin
privileges, so I'm not convinced yet that this is actually a good idea.
An alternative could be, to make wireless connections not available to everyone
by default and doing so requires explicit configuration.

Michael



-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Tue, 20 Sep 2011 18:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 20 Sep 2011 18:30:03 GMT) Full text and rfc822 format available.

Message #52 received at 642136@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 642136@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#642136: Bug#642136: Bug#642136: network-manager: Connecting to a wifi network requires org.freedesktop.NM.settings.modify.system privileges
Date: Tue, 20 Sep 2011 20:26:06 +0200
[Message part 1 (text/plain, inline)]
OoO En  cette fin de matinée  radieuse du mardi 20  septembre 2011, vers
11:36, Michael Biebl <biebl@debian.org> disait :

> Granting org.freedesktop.NetworkManager.settings.modify.system to every active
> user means that they will be able to read the Wireless PSK without admin
> privileges, so I'm not convinced yet that this is actually a good idea.
> An alternative could be, to make wireless connections not available to everyone
> by default and doing so requires explicit configuration.

How could this be configured? I  think this should be the default but it
is only my opinion. Being able  to configure like this on my system will
be fine by me.

Thanks!
-- 
Vincent Bernat ☯ http://vincent.bernat.im

Don't stop with your first draft.
            - The Elements of Programming Style (Kernighan & Plauger)
[Message part 2 (application/pgp-signature, inline)]

Removed tag(s) moreinfo. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 28 Sep 2011 19:57:03 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugzilla.gnome.org/show_bug.cgi?id=660392'. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 28 Sep 2011 20:06:09 GMT) Full text and rfc822 format available.

Forcibly Merged 642136 645815. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 18 Oct 2011 20:42:12 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 18 Oct 2011 20:54:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Wed, 19 Oct 2011 05:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Valroff <julien@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 19 Oct 2011 05:00:06 GMT) Full text and rfc822 format available.

Message #65 received at 642136@bugs.debian.org (full text, mbox):

From: Julien Valroff <julien@debian.org>
To: Michael Biebl <biebl@debian.org>
Cc: 645815@bugs.debian.org, 642136@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#645815: network-manager-gnome: Should not create system-wide connections by default
Date: Wed, 19 Oct 2011 06:56:59 +0200
[Message part 1 (text/plain, inline)]
Le mardi 18 oct. 2011 à 22:38:33 (+0200 CEST), Michael Biebl a écrit :
> reassign 645815 network-manager
> forcemerge 642136 645815
> thanks
> 
> Am 18.10.2011 21:55, schrieb Julien Valroff:
> > Package: network-manager-gnome
> > Version: 0.9.0-3
> > Severity: important
> > 
> > Dear Maintainer,
> > 
> > nm-connection-editor creates system-wide connections by default. This forces
> > the active user to authenticate as an administrative user or as root.
> > 
> > The previous behaviour (I'd say before 0.9 but not 100% sure) was imho
> > correct: standard users could create private connections without needing
> > extra rights. The current default behaviour prevents standard users from
> > creating any connection, even private.
> 
> Not quite true, as you can still create connections in nm-connection-editor
> which are not system-wide.

True, but then, the user has to know what an SSID is, what kind of
encryption scheme is used etc. Which I think is against NM philosophy.

> But the new behaviour is definitely annoying.
> That said, it is something upstream did purposefully and is most certainly not
> going to change.

Too bad, espacially as this can lead to unsecure situations: I had to send
*my* password to my girlfriend by SMS yesterday, as she *had* to connect to
a new wireless network and could not do it herself.

Policykit default configuration doesn't help. My user is in the sudo group,
but I still use the root account. Then, the only "administrative user" is
me. I had to add my girlfriend account to the sudo group to avoid similar
situations in the future, but I do not think it is optimum (I know I could
add a .pkla file to allow specific user/group to deal with NM system wide
settings, but I don't consider it a nice workaround neither).

The default NM behaviour should definitively be configurable, I totally
agree with Vincent on this point.

> Please follow up on the existing bug report #642136

All my apologies, I have missed this bug report when looking for similar
issues.

Cheers,
Julien

-- 
  .''`.   Julien Valroff ~ <julien@kirya.net> ~ <julien@debian.org>    
 : :'  :  Debian Developer & Free software contributor
 `. `'`   http://www.kirya.net/
   `-     4096R/ E1D8 5796 8214 4687 E416  948C 859F EF67 258E 26B1
[signature.asc (application/pgp-signature, inline)]

Forcibly Merged 642136 645815 646407. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Thu, 17 Nov 2011 22:48:08 GMT) Full text and rfc822 format available.

Forcibly Merged 642136 645815 646407 654874. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Fri, 06 Jan 2012 15:21:06 GMT) Full text and rfc822 format available.

Marked as found in versions network-manager/0.9.2.0-2. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 24 Mar 2012 13:23:05 GMT) Full text and rfc822 format available.

Merged 642136 645815 646407 654874 657279 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 24 Mar 2012 13:23:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Mon, 26 Mar 2012 16:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yann SOUBEYRAND <yann.soubeyrand@gmx.fr>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 26 Mar 2012 16:54:05 GMT) Full text and rfc822 format available.

Message #78 received at 642136@bugs.debian.org (full text, mbox):

From: Yann SOUBEYRAND <yann.soubeyrand@gmx.fr>
To: 642136@bugs.debian.org
Subject: Connecting to a wifi network should require org.freedesktop.NetworkManager.settings.modify.own by default
Date: Mon, 26 Mar 2012 18:51:19 +0200
Hi!

I'm facing the same problem as Vincent and Julien and I agree with them:
a normal user (not an admin) should be able to create its own
connections especially for new wireless networks.

On a laptop shared by several users it's annoying to have to add all the
users in the sudo group in order just to let them connect to the
wireless networks they will find on their way (of course you can pre
configure all the wireless networks they will find).

There is a special policy kit permission for this:
org.freedesktop.NetworkManager.settings.modify.own.

It would be good if there was a check box (unchecked by default) named
"Make this connection available for all users" in the configuration
dialog of new wireless connections and the admin password would be asked
just in case that check box is ticked.

Thanks in advance.

Yann





Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Sat, 07 Apr 2012 11:09:20 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir K <pzs-fs@yandex.ru>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 07 Apr 2012 11:09:22 GMT) Full text and rfc822 format available.

Message #83 received at 642136@bugs.debian.org (full text, mbox):

From: Vladimir K <pzs-fs@yandex.ru>
To: 642136@bugs.debian.org
Subject: Policy with two groups
Date: Sat, 07 Apr 2012 15:03:58 +0400
May I suggest another approach: make permissions same way as with cups printing:
'lp' group for those who are allowed to print, and 'lpadmin' group for those who are allowed to manage printers.

Analogous to that: there exists 'netdev' group to allow use and switch existing connection profiles. Add 'netadmin' group to allow managing system connections.

A simple policy as described here https://wiki.archlinux.org/index.php/Network_manager#Can.27t_edit_connections_as_normal_user applied to new 'netadmin' group would increase manageability of the system.

Regardless of group policy, new wireless connection profile should be created with user acl, without asking for privilege escalation.





Disconnected #657279 from all other report(s). Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Mon, 23 Apr 2012 21:12:21 GMT) Full text and rfc822 format available.

Did not alter found versions and reopened. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Mon, 23 Apr 2012 21:12:42 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Fri, 04 May 2012 16:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niv Sardi <xaiki@evilgiggle.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 04 May 2012 16:12:03 GMT) Full text and rfc822 format available.

Message #92 received at 642136@bugs.debian.org (full text, mbox):

From: Niv Sardi <xaiki@evilgiggle.com>
To: 642136@bugs.debian.org
Subject: Fedora 17
Date: Fri, 04 May 2012 13:09:03 -0300
I think we all agree that from a user point of view we can't have a
password required to connect to a wireless network.

On my side I get an extra bit of annoyance, as @home when I'm far from
the AP NM will try to connect, fail (because of the bad link) assume
it's because the password is wrong (wtf?), ask for the password again
(hence), ask for my user password, then the wifi password, then my user
password ...quite annoying.

anyway, in Fedora 17 this is what they have:
 
 grep -ve xml /usr/share/polkit-1/actions/org.freedesktop.NetworkManager.policy 
<!DOCTYPE policyconfig PUBLIC
 "-//freedesktop//DTD PolicyKit Policy Configuration 1.0//EN"
 "http://www.freedesktop.org/standards/PolicyKit/1.0/policyconfig.dtd">
<policyconfig>

  <vendor>NetworkManager</vendor>
  <vendor_url>http://www.gnome.org/projects/NetworkManager</vendor_url>
  <icon_name>nm-icon</icon_name>

  <action id="org.freedesktop.NetworkManager.enable-disable-network">
    <description>Enable or disable system networking</description>
    <message>System policy prevents enabling or disabling system networking</message>
    <defaults>
      <allow_inactive>no</allow_inactive>
      <allow_active>yes</allow_active>
    </defaults>
  </action>

  <action id="org.freedesktop.NetworkManager.sleep-wake">
    <description>Put NetworkManager to sleep or wake it up (should only be used by system power management)</description>
    <message>System policy prevents putting NetworkManager to sleep or waking it up</message>
    <defaults>
      <allow_inactive>no</allow_inactive>
      <allow_active>no</allow_active>
    </defaults>
  </action>

  <action id="org.freedesktop.NetworkManager.enable-disable-wifi">
    <description>Enable or disable WiFi devices</description>
    <message>System policy prevents enabling or disabling WiFi devices</message>
    <defaults>
      <allow_inactive>no</allow_inactive>
      <allow_active>yes</allow_active>
    </defaults>
  </action>

  <action id="org.freedesktop.NetworkManager.enable-disable-wwan">
    <description>Enable or disable mobile broadband devices</description>
    <message>System policy prevents enabling or disabling mobile broadband devices</message>
    <defaults>
      <allow_inactive>no</allow_inactive>
      <allow_active>yes</allow_active>
    </defaults>
  </action>

  <action id="org.freedesktop.NetworkManager.enable-disable-wimax">
    <description>Enable or disable WiMAX mobile broadband devices</description>
    <message>System policy prevents enabling or disabling WiMAX mobile broadband devices</message>
    <defaults>
      <allow_inactive>no</allow_inactive>
      <allow_active>yes</allow_active>
    </defaults>
  </action>

  <action id="org.freedesktop.NetworkManager.network-control">
    <description>Allow control of network connections</description>
    <message>System policy prevents control of network connections</message>
    <defaults>
      <allow_inactive>yes</allow_inactive>
      <allow_active>yes</allow_active>
    </defaults>
  </action>

  <action id="org.freedesktop.NetworkManager.wifi.share.protected">
    <description>Connection sharing via a protected WiFi network</description>
    <message>System policy prevents sharing connections via a protected WiFi network</message>
    <defaults>
      <allow_inactive>no</allow_inactive>
      <allow_active>yes</allow_active>
    </defaults>
  </action>

  <action id="org.freedesktop.NetworkManager.wifi.share.open">
    <description>Connection sharing via an open WiFi network</description>
    <message>System policy prevents sharing connections via an open WiFi network</message>
    <defaults>
      <allow_inactive>no</allow_inactive>
      <allow_active>yes</allow_active>
    </defaults>
  </action>

  <action id="org.freedesktop.NetworkManager.settings.modify.own">
    <description>Modify personal network connections</description>
    <message>System policy prevents modification of personal network settings</message>
    <defaults>
      <allow_inactive>no</allow_inactive>
      <allow_active>yes</allow_active>
    </defaults>
  </action>

  <action id="org.freedesktop.NetworkManager.settings.modify.system">
    <description>Modify network connections for all users</description>
    <message>System policy prevents modification of network settings for all users</message>
    <defaults>
      <allow_inactive>no</allow_inactive>
      <allow_active>yes</allow_active>
    </defaults>
  </action>

  <action id="org.freedesktop.NetworkManager.settings.modify.hostname">
    <description>Modify persistent system hostname</description>
    <message>System policy prevents modification of the persistent system hostname</message>
    <defaults>
      <allow_inactive>no</allow_inactive>
      <allow_active>auth_admin_keep</allow_active>
    </defaults>
  </action>

</policyconfig>


-- 
Niv Sardi




Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Fri, 04 May 2012 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 04 May 2012 16:33:03 GMT) Full text and rfc822 format available.

Message #97 received at 642136@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Niv Sardi <xaiki@evilgiggle.com>, 642136@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#642136: default policy
Date: Fri, 04 May 2012 18:28:38 +0200
[Message part 1 (text/plain, inline)]
On 04.05.2012 18:09, Niv Sardi wrote:
> 
> I think we all agree that from a user point of view we can't have a
> password required to connect to a wireless network.
> 
> On my side I get an extra bit of annoyance, as @home when I'm far from
> the AP NM will try to connect, fail (because of the bad link) assume
> it's because the password is wrong (wtf?), ask for the password again
> (hence), ask for my user password, then the wifi password, then my user
> password ...quite annoying.

Ubuntu has a separate package called policykit-desktop-privileges [1],
which ships a file
 /var/lib/polkit-1/localauthority/10-vendor.d/com.ubuntu.desktop.pkla
containing the following entry (among others)

[Adding or changing system-wide NetworkManager connections]
Identity=unix-group:admin;unix-group:sudo
Action=org.freedesktop.NetworkManager.settings.modify.system
ResultActive=yes

This means, "admin" users, i.e. users which are in group sudo or admin,
won't get prompted when modifying system connections, this includes
creating new wireless connections.

This is not a perfect solution, yet maybe something we can/should
consider for Debian, too.


Michael

[1] http://packages.ubuntu.com/precise/policykit-desktop-privileges
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Fri, 04 May 2012 16:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niv Sardi <xaiki@evilgiggle.com>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Fri, 04 May 2012 16:51:06 GMT) Full text and rfc822 format available.

Message #102 received at 642136@bugs.debian.org (full text, mbox):

From: Niv Sardi <xaiki@evilgiggle.com>
To: Michael Biebl <biebl@debian.org>
Cc: 642136@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#642136: default policy
Date: Fri, 4 May 2012 13:47:17 -0300
[Message part 1 (text/plain, inline)]
nice,

there are quite a few 'don-t-annoy-users-too-much' things in that package.

should we add netdev to the groups and push this into the nm package ?

or do we want to look into more of this and get
policykit-desktop-priviledges all in ?

On May 4, 2012 1:28 PM, "Michael Biebl" <biebl@debian.org> wrote:

> On 04.05.2012 18:09, Niv Sardi wrote:
> >
> > I think we all agree that from a user point of view we can't have a
> > password required to connect to a wireless network.
> >
> > On my side I get an extra bit of annoyance, as @home when I'm far from
> > the AP NM will try to connect, fail (because of the bad link) assume
> > it's because the password is wrong (wtf?), ask for the password again
> > (hence), ask for my user password, then the wifi password, then my user
> > password ...quite annoying.
>
> Ubuntu has a separate package called policykit-desktop-privileges [1],
> which ships a file
>  /var/lib/polkit-1/localauthority/10-vendor.d/com.ubuntu.desktop.pkla
> containing the following entry (among others)
>
> [Adding or changing system-wide NetworkManager connections]
> Identity=unix-group:admin;unix-group:sudo
> Action=org.freedesktop.NetworkManager.settings.modify.system
> ResultActive=yes
>
> This means, "admin" users, i.e. users which are in group sudo or admin,
> won't get prompted when modifying system connections, this includes
> creating new wireless connections.
>
> This is not a perfect solution, yet maybe something we can/should
> consider for Debian, too.
>
>
> Michael
>
> [1] http://packages.ubuntu.com/precise/policykit-desktop-privileges
> --
> Why is it that all of the instruments seeking intelligent life in the
> universe are pointed away from Earth?
>
>
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Tue, 08 May 2012 21:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joey Hess <joeyh@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 08 May 2012 21:21:06 GMT) Full text and rfc822 format available.

Message #107 received at 642136@bugs.debian.org (full text, mbox):

From: Joey Hess <joeyh@debian.org>
To: 642136@bugs.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#642136: default policy
Date: Tue, 8 May 2012 17:17:11 -0400
[Message part 1 (text/plain, inline)]
Identity=unix-group:admin;unix-group:sudo

This works for Ubuntu because they default to using sudo. It will not
help Debian systems with a root password, which do not put the desktop
user in the sudo group. It would work if you used the netdev group.
I don't know if that is a good idea.

Why not make network-manager default to having "Available to all users"
unchecked. Then it would not prompt for passwords for new wifi networks.
This would mean that, until the desktop user logs in, the machine would
not be on the network, so for reliable remote access, the admin would
need to override this new default, and enter their password. Seems sane
to me.

-- 
see shy jo
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Tue, 07 Aug 2012 05:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ron Johnson <ron.l.johnson@cox.net>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 07 Aug 2012 05:36:05 GMT) Full text and rfc822 format available.

Message #112 received at 642136@bugs.debian.org (full text, mbox):

From: Ron Johnson <ron.l.johnson@cox.net>
To: 642136@bugs.debian.org
Subject: Adding nonpriv users to admin or sudo
Date: Tue, 07 Aug 2012 00:22:56 -0500
The problem with #97 is that those privs also control software installation.

-- 
If adults of legally sound mind must be told what foods they
are not allowed to buy, then those people are not competent
to choose (i.e. vote for) their own leaders.



Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Thu, 06 Sep 2012 18:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Thu, 06 Sep 2012 18:21:06 GMT) Full text and rfc822 format available.

Message #117 received at 642136@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 642136@bugs.debian.org
Subject: changes during upgrade, workaround
Date: Thu, 06 Sep 2012 20:19:22 +0200


I've done a trial upgrade from squeeze -> wheezy

In squeeze, the user was able to connect to access points without being
prompted for the root password

After the upgrade, the user is not able to use their system the way it
worked before.

Even if this default behavior is desired for fresh installs of NM, I
believe that users upgrading from wheezy should retain the legacy
behavior (automatically saving APs to their per-user profile rather than
the system profile)


----- Workaround -----

Here is a step by step version of the workaround that can be given to users:

- click `Activities' in the top left corner of the screen

- click `Applications'

- click `Accessories'

- click `Terminal'

- a terminal window appears.  In the window, type the following and
press enter:

      nm-connection-editor

- click `Wireless'

- click `Add'

- in the SSID box, type the exact name of the wifi network you want
(copy it from the list of available networks)

- the box at the top, `Connection name', it says `Wireless connection
1', delete that name and type the same name used for SSID

- if there is a password for the network, click `Wireless security',
select `WPA2 Personal' and type the password

- at the bottom of the window, REMOVE the tick from the box `Available
to all users'

- now click `Save...'

- click `Close' to make the connections window go away

- now go to the network icon at the top of the screen and click the
network: it should make the connection properly



Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Mon, 10 Sep 2012 10:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 10 Sep 2012 10:18:03 GMT) Full text and rfc822 format available.

Message #122 received at 642136@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: 642136@bugs.debian.org
Subject: discussed upstream
Date: Mon, 10 Sep 2012 12:15:22 +0200


Here is an upstream discussion thread mentioning the issue:

https://mail.gnome.org/archives/networkmanager-list/2011-March/msg00098.html


Apparently it was deliberately changed (not just a regression) after a
request from Ubuntu: but searching the Ubunutu forums reveals Ubuntu
users are also confused and frustrated with the situation

It is not clear whether upstream provides a compatibility option to make
things work consistently for people upgrading.

Looking in upstream git, it appears that it was not just a tweak, but a
rewrite of the system/user settings related code:

commit 443c95a6b9c8709f5d9038421df1856f190eeb24
Author: Daniel Gnoutcheff <daniel@gnoutcheff.name>
Date:   Tue Jul 13 18:09:56 2010 -0400

    nm-manager: start removing user settings services

    It turns out that user settings services are strange and complicated
    beasts. We will remove support for them, and we will later implement
    security mechanisms on the system settings service that will do what
    user settings services were intended to do.

    This commit is a bulk removal of nm-manager's internal support code for
    user settings services. The external API is largely unchanged, but
    errors are returned if anyone ties to do something with user settings.

    Work remaining includes some possible flattening of nm-manager's
    internal code, along with code removal and API changes in other modules.



Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Mon, 10 Sep 2012 10:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Pocock <daniel@pocock.com.au>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Mon, 10 Sep 2012 10:27:03 GMT) Full text and rfc822 format available.

Message #127 received at 642136@bugs.debian.org (full text, mbox):

From: Daniel Pocock <daniel@pocock.com.au>
To: networkmanager-list@gnome.org
Cc: 642136@bugs.debian.org
Subject: system settings/root password prompt bug
Date: Mon, 10 Sep 2012 12:23:15 +0200

There is a Debian bug concerning the new behavior, prompting for root
password every time a user adds a wifi network:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=642136

I found it was discussed previously in this thread:

https://mail.gnome.org/archives/networkmanager-list/2011-March/msg00098.html

There are probably a lot of users who would like it to work the old way,
each time the user connects to some new wifi network, they should not be
prompted for the root password.

Is there already some fix for this in 0.9.6?  Debian has 0.9.4

Or is anyone else contemplating a fix?

Various ideas come to mind:

a) simply creating a connection (without overwriting or asking to view
existing credentials) should not require authentication (but maybe a
test to ensure the user is logged in at a physical console)

b) some option in NetworkManager.conf to preserve legacy behavior (new
connections are per-user by default)







Severity set to 'serious' from 'important' Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Wed, 24 Oct 2012 15:51:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Wed, 05 Dec 2012 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Wed, 05 Dec 2012 20:21:03 GMT) Full text and rfc822 format available.

Message #134 received at 642136@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>
To: 642136@bugs.debian.org, control@bugs.debian.org
Subject: Re: network-manager: Connecting to a wifi network requires system privileges
Date: Wed, 5 Dec 2012 21:19:17 +0100
[Message part 1 (text/plain, inline)]
tags 642136 + patch
thanks

I agree with Joey Hess: "Available to alle users" should not be the
default for new wifi connections, so that unprivileged users can
connect to new networks without needing a sudo or root password, or
additional policykit privileges.

The attached patch to the network-manager-applet (!) source modifies
nm-applet such that a new wifi connection created through the applet
belongs to the user, and not the system. If a wifi connection is to be
made available to all users, this has to be done in a separate step,
e.g. using nm-connection-editor.

I've tested this successfully with an open and a WPA2 secured network,
but I haven't had a chance to check if 802.1x networks have additional
settings that need to be set to "agent owned".

Florian
[642136.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE> to control@bugs.debian.org. (Wed, 05 Dec 2012 20:21:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Sun, 09 Dec 2012 02:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 09 Dec 2012 02:18:03 GMT) Full text and rfc822 format available.

Message #141 received at 642136@bugs.debian.org (full text, mbox):

From: Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>
To: 642136@bugs.debian.org, control@bugs.debian.org
Subject: Re: network-manager: Connecting to a wifi network requires system privileges
Date: Sun, 9 Dec 2012 03:16:12 +0100
tags 642136 - patch
thanks

Unfortunately, things are a little more complicated, as Michael was so
kind to explain to me on IRC. I'm trying to sum up our conversation:

GENERAL PROBLEMS
- when changing the default for new connections in one client
  (nm-applet), other clients should be changed accordingly. This means
  at least gnome-shell (KDE may use different defaults anyway)
- in addition to wifi connections, also VPN and mobile broadband
  connections should be user-administrateable
- a system-wide connection has advantages, and upstream changed the
  default for a reason / in response to user feedback. E.g. it is not
  unreasonable to expect to be able to ssh into a running laptop, even
  when there's nobody logged in.

MY PATCH SPECIFICALLY
- in the interest of a minimal patch, marking the connection
  user-private *and* all secrets agent-owned is unnecessary;
  user-private is enough. The two are orthogonal really: marking secrets
  agent-owned determines whether the wifi password is stored in the
  /etc/NetworkManager/system-connections/<ssid> file or handled by the
  user's polkit authentication agent, whereas the user-private setting
  determines whether NetworkManager.settings.modify.system privileges
  are necessary and anybody but the current user can see the connection.

OPTIONS FOR A SOLUTION OF #642136
- do not change the default for new connections (system-wide), but add a
  polkit rule allowing members of the netdev and sudo groups to modify
  those connections. Group sudo can do everything anyway, and netdev is
  specifically meant for that. In addition, the user created during
  installation is automatically added to the netdev group, so that this
  would solve the "annoying password prompt" issue for the
  single-user-laptop case. The polkit rule would look like this:

    [Adding or changing system-wide NetworkManager connections]
    Identity=unix-group:netdev;unix-group:sudo
    Action=org.freedesktop.NetworkManager.settings.modify.system
    ResultAny=no
    ResultInactive=no
    ResultActive=yes

- this leaves open multi-user machines, where ordinary users should be
  able to e.g. add their home wifi, without being given the additional
  privileges that come with group membership (e.g., seeing the other
  guy's home wifi password). Think managed laptop repeatedly borrowed to
  students. Here, the system administrator could install a
  gsettings-override (provided in examples) that would make user-private
  connections the default. The gsetting would have to be added, as well
  as code to check it and switch to user-private when configured.

- personally, I'd prefer if things would "just work", that is: a
  user-private connection is created automatically if the user is not
  entitled to create a system-wide one, without the need to find out
  about a gsetting and install the override. Unfortunately, it is
  unclear if there is a way to query polkit whether the user would need
  to be asked for a password in order to execute an action with the
  NetworkManager.settings.modify.system privilege, without actually
  doing so.¹ An alternative would be to assume the existence of the above
  polkit rule and check the user's group memberships (getgid), but that
  approach is ugly because it hard-codes what is really just a default
  policy, and it may require the user to re-login in order for changes
  in group membership to take effect.

    ¹ there is a flag to polkit_authority_check_authorization to
    AllowUserInteraction, which is meant e.g. to decide whether a UI
    element should be displayed in an inactive style. This is exposed in
    nm_auth_chain_add_call.


Would the above polkit rule plus an automatic switch to user-private
connections solve this issue for all conceiveable use cases? What about
users who would have to type the root password, but are able and in fact
expect to do so? There's always nm-connection-editor to turn a
user-private connection into a system-wide one...

too tired to not be confused,
Florian






Removed tag(s) patch. Request was from Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE> to control@bugs.debian.org. (Sun, 09 Dec 2012 02:18:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#642136; Package network-manager. (Tue, 18 Dec 2012 17:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Tue, 18 Dec 2012 17:12:06 GMT) Full text and rfc822 format available.

Message #148 received at 642136@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Florian Schlichting <fschlich@ZEDAT.FU-Berlin.DE>, 642136@bugs.debian.org
Cc: control@bugs.debian.org, gnome-shell@packages.debian.org, network-manager-applet@packages.debian.org, gnome-control-center@packages.debian.org
Subject: Re: [Pkg-utopia-maintainers] Bug#642136: network-manager: Connecting to a wifi network requires system privileges
Date: Tue, 18 Dec 2012 18:08:26 +0100
[Message part 1 (text/plain, inline)]
tags 642136 + patch
clone 642136 -1
reassign -1 gnome-shell
severity -1 important
clone 642136 -2
reassign -2 network-manager-gnome
severity -2 important
tags -2 + patch
clone 642136 -3
reassign -3 gnome-control-center
severity -3 important
thanks

On 09.12.2012 03:16, Florian Schlichting wrote:
> Unfortunately, things are a little more complicated, as Michael was so
> kind to explain to me on IRC. I'm trying to sum up our conversation:
> 
> GENERAL PROBLEMS
> - when changing the default for new connections in one client
>   (nm-applet), other clients should be changed accordingly. This means
>   at least gnome-shell (KDE may use different defaults anyway)
> - in addition to wifi connections, also VPN and mobile broadband
>   connections should be user-administrateable
> - a system-wide connection has advantages, and upstream changed the
>   default for a reason / in response to user feedback. E.g. it is not
>   unreasonable to expect to be able to ssh into a running laptop, even
>   when there's nobody logged in.

..

> OPTIONS FOR A SOLUTION OF #642136
> - do not change the default for new connections (system-wide), but add a
>   polkit rule allowing members of the netdev and sudo groups to modify
>   those connections. Group sudo can do everything anyway, and netdev is
>   specifically meant for that. In addition, the user created during
>   installation is automatically added to the netdev group, so that this
>   would solve the "annoying password prompt" issue for the
>   single-user-laptop case. The polkit rule would look like this:
> 
>     [Adding or changing system-wide NetworkManager connections]
>     Identity=unix-group:netdev;unix-group:sudo
>     Action=org.freedesktop.NetworkManager.settings.modify.system
>     ResultAny=no
>     ResultInactive=no
>     ResultActive=yes


Yeah, for simpler use-cases, especially the single-user-laptop case,
this .pkla file is sufficient and should solve the problem for most users.

This bug, #642136, will deal with that problem.


> - this leaves open multi-user machines, where ordinary users should be
>   able to e.g. add their home wifi, without being given the additional
>   privileges that come with group membership (e.g., seeing the other
>   guy's home wifi password). Think managed laptop repeatedly borrowed to
>   students. Here, the system administrator could install a
>   gsettings-override (provided in examples) that would make user-private
>   connections the default. The gsetting would have to be added, as well
>   as code to check it and switch to user-private when configured.
> 
> - personally, I'd prefer if things would "just work", that is: a
>   user-private connection is created automatically if the user is not
>   entitled to create a system-wide one, without the need to find out
>   about a gsetting and install the override. Unfortunately, it is
>   unclear if there is a way to query polkit whether the user would need
>   to be asked for a password in order to execute an action with the
>   NetworkManager.settings.modify.system privilege, without actually
>   doing so.

Joss found a way to do just that, i.e. query polkit and automatically
fall back to user settings if
org.freedesktop.NetworkManager.settings.modify.system would require an
admin password prompt. I think this is the ideal solution, so I'd like
to go with that, especially since Joss already has prepared a patch for
nm-applet [1]. Thanks a lot Joss!

Other NM clients which need to be updated accordingly are gnome-shell
and gnome-control-center, which both allow to setup NM connections. So
I'm cloning and re-assigning this bug accordingly.


Michael




[1] http://malsain.org/~joss/debian/
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) patch. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 18 Dec 2012 17:12:08 GMT) Full text and rfc822 format available.

Disconnected #642136 from all other report(s). Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 18 Dec 2012 17:33:08 GMT) Full text and rfc822 format available.

Bug 642136 cloned as bug 696256 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 18 Dec 2012 17:36:03 GMT) Full text and rfc822 format available.

Bug 642136 cloned as bug 696257 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 18 Dec 2012 17:36:06 GMT) Full text and rfc822 format available.

Bug 642136 cloned as bug 696258 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 18 Dec 2012 17:36:10 GMT) Full text and rfc822 format available.

Marked as found in versions network-manager/0.9.4.0-5. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 18 Dec 2012 17:39:05 GMT) Full text and rfc822 format available.

Merged 642136 645815 646407 654874 Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Tue, 18 Dec 2012 17:39:06 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Fri, 21 Dec 2012 03:06:03 GMT) Full text and rfc822 format available.

Notification sent to Vincent Bernat <bernat@debian.org>:
Bug acknowledged by developer. (Fri, 21 Dec 2012 03:06:03 GMT) Full text and rfc822 format available.

Message #167 received at 642136-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 642136-close@bugs.debian.org
Subject: Bug#642136: fixed in network-manager 0.9.4.0-7
Date: Fri, 21 Dec 2012 03:02:45 +0000
Source: network-manager
Source-Version: 0.9.4.0-7

We believe that the bug you reported is fixed in the latest version of
network-manager, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 642136@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated network-manager package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 21 Dec 2012 03:48:18 +0100
Source: network-manager
Binary: network-manager network-manager-dev libnm-glib4 libnm-glib-dev libnm-glib-vpn1 libnm-glib-vpn-dev libnm-util2 libnm-util-dev network-manager-dbg gir1.2-networkmanager-1.0
Architecture: source amd64
Version: 0.9.4.0-7
Distribution: unstable
Urgency: low
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 gir1.2-networkmanager-1.0 - GObject introspection data for NetworkManager
 libnm-glib-dev - network management framework (GLib interface)
 libnm-glib-vpn-dev - network management framework (GLib interface)
 libnm-glib-vpn1 - network management framework (GLib VPN shared library)
 libnm-glib4 - network management framework (GLib shared library)
 libnm-util-dev - network management framework (development files)
 libnm-util2 - network management framework (shared library)
 network-manager - network management framework (daemon and userspace tools)
 network-manager-dbg - network management framework (debugging symbols)
 network-manager-dev - network management framework (development files)
Closes: 642136 696143
Changes: 
 network-manager (0.9.4.0-7) unstable; urgency=low
 .
   * Install a PolicyKit pkla file which allows members of group netdev or sudo
     to create system-wide network connections without being prompted for the
     admin password. (Closes: #642136)
   * Cherry-pick patches for libnm-glib which fix various segfaults e.g. in
     gnome-control-center when switching between overview and network settings
     panel or in gnome-shell and nm-applet when restarting NetworkManager.
     (Closes: #696143) (bgo: #674473)
Checksums-Sha1: 
 b9a7580e4fa169503dc088b05f16d782666e1fdd 2971 network-manager_0.9.4.0-7.dsc
 8caba3860e861478be684afa5df8ebb7aac43bbb 42582 network-manager_0.9.4.0-7.debian.tar.gz
 a57d4c4d75260f30c2f0b5ea1d5aa25fa4227e74 865054 network-manager_0.9.4.0-7_amd64.deb
 a99e8005106f815da9402301ae66b35a6b09efad 274850 network-manager-dev_0.9.4.0-7_amd64.deb
 03efd0aa773365853256171648babbcc43a26201 294644 libnm-glib4_0.9.4.0-7_amd64.deb
 e9e8ff8823f99cfa47d6d408b9fbc2b01e66abdb 388272 libnm-glib-dev_0.9.4.0-7_amd64.deb
 5cd08f498e5326bfa019e5e19ddee55768400f1b 238378 libnm-glib-vpn1_0.9.4.0-7_amd64.deb
 fba46bb4e12d9b4c1fdbd90cb84846e3a6c8ef7a 231018 libnm-glib-vpn-dev_0.9.4.0-7_amd64.deb
 d292e28b6e3da454a9d53e9736aa0f30dd35bfda 331184 libnm-util2_0.9.4.0-7_amd64.deb
 776d42406e70f5f99b16373f3f32df75285c47f7 369858 libnm-util-dev_0.9.4.0-7_amd64.deb
 ef8626fcc5237b1e950fb9cf9f505b0811391968 1723008 network-manager-dbg_0.9.4.0-7_amd64.deb
 674fbd560b067faf9ac34c9949ee38fe54a153aa 258248 gir1.2-networkmanager-1.0_0.9.4.0-7_amd64.deb
Checksums-Sha256: 
 ae90d68218a20f94a0d71200aba0ba350859efc65e18e275df89400ed3a49d9d 2971 network-manager_0.9.4.0-7.dsc
 83634671e2963f96e46f9827dc84f26053dd63a434095be0c564dd65ac49784a 42582 network-manager_0.9.4.0-7.debian.tar.gz
 d0a9085044a3835843e6eabb3572a0ff7176d139df9a1bc7a5a74e2dbbd815f8 865054 network-manager_0.9.4.0-7_amd64.deb
 f1bcede1b89a041e25ab6f57387d8d9ca20399c7f1be5a59dfd106fbed82f1c1 274850 network-manager-dev_0.9.4.0-7_amd64.deb
 7cb0bc9cef8dbbe72ae6f4e9549b893e58e83a8276ac29d14afd05972d50ff89 294644 libnm-glib4_0.9.4.0-7_amd64.deb
 b53e13cd944f2282d59e70b856bc627fd98e3384311c49845359e23ac00a6947 388272 libnm-glib-dev_0.9.4.0-7_amd64.deb
 5a1a0e799c1f46e0b2a8dd5746d94b05a6b87f71cce516c4c414087a06753cf6 238378 libnm-glib-vpn1_0.9.4.0-7_amd64.deb
 24ab74fec47e3abaf2034292a5f3fad901830e16b027768fbcf75510169c42c6 231018 libnm-glib-vpn-dev_0.9.4.0-7_amd64.deb
 12aa457e9c5974d2f86b85702f45618217950962bc9dd71327b6afc597565833 331184 libnm-util2_0.9.4.0-7_amd64.deb
 f91fcbbde7ea6a89b776c2d198a88fa529032a2173e48d13619c5ab7607f05f9 369858 libnm-util-dev_0.9.4.0-7_amd64.deb
 af026ad7420020533b994df0647911612bf4013d8bd2df65907c6efebb883f87 1723008 network-manager-dbg_0.9.4.0-7_amd64.deb
 11050f15b6b95d2e6925ec737fd34cfd3580c8b876639628dbfcaad6612342a9 258248 gir1.2-networkmanager-1.0_0.9.4.0-7_amd64.deb
Files: 
 2131cfeeda1254c26aa503be2fea45ed 2971 net optional network-manager_0.9.4.0-7.dsc
 f2bddf07d96d98f48a454488635db81b 42582 net optional network-manager_0.9.4.0-7.debian.tar.gz
 b738fab709b0f59d0770a4a6735f6710 865054 net optional network-manager_0.9.4.0-7_amd64.deb
 1efeabff27cbe417e4f38a80fdae44cf 274850 devel optional network-manager-dev_0.9.4.0-7_amd64.deb
 8c84a9f77308fe1608fd9118b0aef35f 294644 libs optional libnm-glib4_0.9.4.0-7_amd64.deb
 b52fc0f8b0025b8e939f5df69c9be921 388272 libdevel optional libnm-glib-dev_0.9.4.0-7_amd64.deb
 2185d20e3635f6e31a772cab0c03722a 238378 libs optional libnm-glib-vpn1_0.9.4.0-7_amd64.deb
 6c210a522ceb7ca63fcf28a596011f1e 231018 libdevel optional libnm-glib-vpn-dev_0.9.4.0-7_amd64.deb
 7c7ff4d7ad1f1b70f4866a386212a8ff 331184 libs optional libnm-util2_0.9.4.0-7_amd64.deb
 f3f2ff824012445a5a30134603987cd6 369858 libdevel optional libnm-util-dev_0.9.4.0-7_amd64.deb
 c10f2beff4f1075307fa70c9c2c61b75 1723008 debug extra network-manager-dbg_0.9.4.0-7_amd64.deb
 5af1f0741b0cc894385fac90295ace1b 258248 introspection optional gir1.2-networkmanager-1.0_0.9.4.0-7_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ087xAAoJEGrh3w1gjyLcPhgP/0qXKW2lryNLl9lGp8ook7UB
eptF6IHTJzYT2sd+fciMIFMt7CfbpR1LSKnhB00MPQoKiDO2dGwWKUFFkpY34H+P
cTdNtCG11YoTqqkcc/Qa4fI99YxirkXqezYWoSkQCZg7CdJFPdN87jW25v//wwbx
Oz99mKS5xBo/chXM0B3rne+HdKaH3ThC4nTkFU//pkyOwQL2XPKqeKYrAUnzGSM8
lo7gzJ7iFK5NTYsHQS73fitFwuo9GWjg0P6WwDZwueyuB1PdI/YMEfCe1LBRIyV9
4edI9ZTt6BOTkgelIKmREFiHcTLv+rhk3zNrGDsZNmMBT2btBalU/ZYIfmPwRjFz
7TpyFVYArHxe9PULm6ZvyrGWV1VTCIIiZ2CNZCc4AlNQBCxYmYD+NOh8V7iQyBHJ
tmIs3m1sn/rS9CqyMpzawqYk+Z9laqIjHTzFylaXbh4+tk+X5Jdh3c/XTbA0Kw8q
oxRFZLvqCjDOJW7xQlN4UoGjc/wdUbdBNqA3telnn8v6+0cFQcXqyGOAB8UzsXfX
sTHYwVG//y22y2mVEl15EFzhjFSQoYADjAYIkFi3AWJlheRv8rbK5RICQayHLOUQ
oIYEkb7AJodqRm2OK1lbeBgMR/NzRRxkdyCXRkk7eNk47Wbq09oCn2Nsolbhx4Al
56bc9RaMw145fcB1oFlc
=I+jI
-----END PGP SIGNATURE-----




Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Fri, 21 Dec 2012 03:06:03 GMT) Full text and rfc822 format available.

Notification sent to Julien Valroff <julien@debian.org>:
Bug acknowledged by developer. (Fri, 21 Dec 2012 03:06:03 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Fri, 21 Dec 2012 03:06:04 GMT) Full text and rfc822 format available.

Notification sent to Andrey Kravchina <andrey.k.p@gmail.com>:
Bug acknowledged by developer. (Fri, 21 Dec 2012 03:06:04 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Fri, 21 Dec 2012 03:06:05 GMT) Full text and rfc822 format available.

Notification sent to Peter <necedemalis@gmail.com>:
Bug acknowledged by developer. (Fri, 21 Dec 2012 03:06:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 18 Jan 2013 07:25:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 17:05:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.